#pragma once

#include "PropertiesInterface.h"

namespace NDTS
{
namespace SCO
{
	class SIUnitInternal : public SIUnit
	{
	public:	
		SIUnitInternal(SI::BaseUnit base, SI::Prefix prefix);
		virtual ~SIUnitInternal();
		virtual SI::BaseUnit getBaseUnit();
		virtual SI::Prefix getPrefix();
		virtual double baseToPrefix(double value);
		virtual double prefixToBase(double value);
		virtual const char *getName();
		bool getIsInverse();
	private:
		SI::BaseUnit baseUnit;
		SI::Prefix prefix;
		bool isInverse;

	};
}} // namespaces
